{
  marleylib,
  inputs,
  inputs',
  ...
}: let
  my = rec {
    name = "marley";
    fullName = "Marley Rae";
    username = "punkfairie";
    email = "marley@punkfairie.net";
    git = {
      inherit name email;
    };
  };
in {
  config = {
    marleycfg.my = my;

    home-manager = {
      useUserPackages = true;
      backupFileExtension = "bak";

      users."${my.name}" = {
        home.username = my.name;
      };

      sharedModules = [../home];
      extraSpecialArgs = {inherit marleylib inputs inputs';};
    };
  };
}
