{
  lib,
  config,
  pkgs,
  ...
}: let
  cfg = config.marleyos.programs.curl;
in {
  options.marleyos.programs.curl.enable = lib.mkEnableOption "curl";

  config = lib.mkIf cfg.enable {
    environment.systemPackages = with pkgs; [
      curl
    ];
  };
}
