{
  config,
  lib,
  inputs',
  ...
}: let
  cfg = config.marleyos.programs.agenix;
in {
  options.marleyos.programs.agenix.enable = lib.mkEnableOption "agenix";

  config = lib.mkIf cfg.enable {
    home.packages = [
      # The overlay doesn't work for some reason...
      inputs'.agenix.packages.default
    ];
  };
}
