{
  marleylib,
  config,
  osConfig,
  lib,
  ...
}: let
  inherit (marleylib.module) mkEnableOption';

  cfg = config.marleyos.programs.jq;
  osCfg = osConfig.marleyos.programs.jq;
in {
  options.marleyos.programs.jq.enable = mkEnableOption' "jq" osCfg.enable;

  config = lib.mkIf cfg.enable {
    programs.jq = {
      enable = true;
    };
  };
}
