{
  config,
  lib,
  pkgs,
  ...
}: let
  cfg = config.marleyos.programs.lazydocker;
in {
  options.marleyos.programs.lazydocker.enable = lib.mkEnableOption "lazydocker";

  config = lib.mkIf cfg.enable {
    home.packages = with pkgs; [
      lazydocker
    ];
  };
}
