{
  lib,
  config,
  pkgs,
  ...
}: let
  cfg = config.marleyos.programs.nemo;
in {
  options.marleyos.programs.nemo.enable = lib.mkEnableOption "nemo";

  config = lib.mkIf (cfg.enable && pkgs.stdenv.isLinux) {
    home.packages = with pkgs; [
      nemo
    ];

    marleycfg.apps.file-browser = pkgs.nemo;
  };
}
