{
  marleylib,
  config,
  osConfig,
  lib,
  ...
}: let
  inherit (marleylib.module) mkEnableOption';

  cfg = config.marleyos.services.gnome-keyring;
  osCfg = osConfig.marleyos.services.gnome-keyring;
in {
  options.marleyos.services.gnome-keyring.enable =
    mkEnableOption' "gnome-keyring" osCfg.enable;

  config = lib.mkIf cfg.enable {
    services.gnome-keyring = {
      enable = true;
    };
  };
}
