{
  lib,
  pkgs,
  ...
}: {
  config = {
    stylix = {
      iconTheme = {
        package = pkgs.kora-icon-theme;
        dark = "kora";
        light = "kora-light-panel";
      };

      fonts.sizes.terminal = lib.mkIf pkgs.stdenv.isDarwin 14;
    };

    home.packages = with pkgs; [
      kora-icon-theme
    ];
  };
}
