{
  lib,
  config,
  ...
}: let
  cfg = config.marleyos.programs.waybar;
in {
  options.marleyos.programs.waybar.enable = lib.mkEnableOption "waybar";

  config = lib.mkIf cfg.enable {
    programs.waybar = {
      enable = true;
    };
  };
}
