{
  lib,
  config,
  pkgs,
  ...
}: let
  cfg = config.marleyos.programs.neovim;
in {
  options.marleyos.programs.neovim.enable = lib.mkEnableOption "neovim";

  config = lib.mkIf cfg.enable {
    environment.systemPackages = with pkgs; [
      neovim
    ];
  };
}
