{
  marleylib,
  lib,
  config,
  osConfig,
  ...
}: let
  inherit (marleylib.module) mkEnableOption';

  cfg = config.marleyos.programs.btop;
  osCfg = osConfig.marleyos.programs.btop;
in {
  options.marleyos.programs.btop.enable = mkEnableOption' "btop" osCfg.enable;

  config = lib.mkIf cfg.enable {
    programs.btop = {
      enable = true;

      settings = {
        truecolor = true;
        vim_keys = true;
      };
    };
  };
}
