{
  config,
  lib,
  pkgs,
  ...
}: let
  cfg = config.marleyos.programs.journalctl;
in {
  options.marleyos.programs.journalctl.enable = lib.mkEnableOption "journalctl";

  config = lib.mkIf (cfg.enable && pkgs.stdenv.isLinux) {
    home.shellAbbrs = rec {
      jctlf = "journalctl --follow --unit";
      jctle = "journalctl --pager-end --unit";
      sjctlf = "sudo ${jctlf}";
      sjctle = "sudo ${jctle}";
    };
  };
}
