{
  config,
  lib,
  pkgs,
  ...
}: let
  cfg = config.marleyos.programs.jqp;
in {
  options.marleyos.programs.jqp.enable = lib.mkEnableOption "jqp";

  config = lib.mkIf cfg.enable {
    home.packages = with pkgs; [
      jqp
    ];
  };
}
