{
  config,
  lib,
  pkgs,
  ...
}: let
  cfg = config.marleyos.programs.tea;
in {
  options.marleyos.programs.tea.enable = lib.mkEnableOption "tea";

  config = lib.mkIf cfg.enable {
    home.packages = with pkgs; [
      tea
    ];
  };
}
