{
  config,
  lib,
  pkgs,
  ...
}: let
  cfg = config.marleyos.programs.zathura;
in {
  options.marleyos.programs.zathura.enable = lib.mkEnableOption "zathura";

  config = lib.mkIf (cfg.enable && pkgs.stdenv.isLinux) {
    programs.zathura = {
      enable = true;
    };
  };
}
